# pydicom.datadict.get_private_entry

pydicom.datadict.get_private_entry(tag: Union[int, str, Tuple[int, int], pydicom.tag.BaseTag], private_creator: str) → Tuple[str, str, str, str]

  Return an entry from the private dictionary corresponding to tag.

  Parameters

    - tag (int) – The tag for the element whose entry is to be retrieved. Only entries in the private dictionary will be checked.

    - private_creator (str) – The name of the private creator.

  Returns

    The (VR, VM, name, is_retired) from the private dictionary.

  Return type

    tuple of str

  Raises

    KeyError – If the tag or private creator is not present in the private dictionary.

  See also

  `get_entry`

    Return an entry from the DICOM data dictionary.